# OpenRTF is an open source Java library for RTF (Rich Text Format) files #

OpenRTF is a Java library for creating and editing RTF (Rich Text Format) files with a LGPL and MPL open source license.  We welcome contributions from other developers. Please feel free to submit pull-requests and bugreports to this GitHub repository.

OpenRTF is branched out of OpenPDF - https://github.com/LibrePDF/OpenPDF

[![Java CI](https://github.com/LibrePDF/OpenRTF/actions/workflows/maven.yml/badge.svg)](https://github.com/LibrePDF/OpenRTF/actions/workflows/maven.yml)
[![License (LGPL version 3.0)](https://img.shields.io/badge/license-GNU%20LGPL%20version%203.0-blue.svg?style=flat-square)](http://opensource.org/licenses/LGPL-3.0)
[![License (MPL)](https://img.shields.io/badge/license-Mozilla%20Public%20License-yellow.svg?style=flat-square)](http://opensource.org/licenses/MPL-2.0)


## Use OpenRTF as Maven dependency
Add this to your pom.xml file to use the latest version of OpenRTF:

    <dependency>
        <groupId>com.github.librepdf</groupId>
        <artifactId>openrtf</artifactId>
        <version>1.2.1</version>
    </dependency>

## Contributing ##
Release the hounds!  Please send all pull requests.
Make sure that your contributions can be released with a dual LGPL and MPL license. In particular, pull requests to the OpenRTF project must only contain code that you have written yourself, or copied from a project with the exact same license. GPL or AGPL licensed code will not be acceptable.

## Documentation ##
[Hello world](https://github.com/LibrePDF/OpenRTF/blob/master/src/test/java/com/lowagie/text/rtf/document/CreateSimpleRTFDocumentTest.java)


### Coding Style ###
- Code indentation style is 4 spaces.
- Generally try to preserve the coding style in the file you are modifying.

## Dependencies ##
### Required Dependencies: ###
 - Java 8 or later is required to use OpenRTF. All versions Java 8 to Java OpenJDK 13 have been tested to work.
 - OpenPDF - https://github.com/LibrePDF/OpenPDF/
